# -*- coding: utf-8 -*-
#
# File: adapters.py
#
# Copyright (c) InQuant GmbH
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

__author__    = """Ramon Bartl <ramon.bartl@inquant.de>"""
__docformat__ = 'plaintext'
__revision__  = "$Revision: 60982 $"
__version__   = '$Revision: 60982 $'[11:-2]

from zope.interface import implements
from zope.annotation.interfaces import IAnnotations
from persistent.dict import PersistentDict

from collective.gacontext.interfaces import IGACode

class GACode(object):
    """ Adapter for the metadata annotations """
    implements(IGACode)
    _KEY = 'collective.gacontext'

    def __init__(self, context):
        self.context = context
        annotations = IAnnotations(context)
        self.metadata = annotations.get(self._KEY, None)
        if self.metadata is None:
            annotations[self._KEY] = PersistentDict()
            self.metadata = annotations[self._KEY]

    def _get_ga_code(self):
        """ Get the GA code """
        return self.metadata.get('ga_code', None)

    def _set_ga_code(self, ga_code):
        """ Set the GA Code """
        self.metadata['ga_code'] = ga_code

    ga_code = property(_get_ga_code, _set_ga_code)

# vim: set ft=python ts=4 sw=4 expandtab :
